# react-redux-boiler

> Set of helper functions to aid with the creation of the react redux boilerplating

[![NPM](https://img.shields.io/npm/v/react-redux-boiler.svg)](https://www.npmjs.com/package/react-redux-boiler) [![JavaScript Style Guide](https://img.shields.io/badge/code_style-standard-brightgreen.svg)](https://standardjs.com)

## Install

```bash
yarn add react-redux-boiler
```

## Usage

check [example](https://github.com/psoaresbj/react-redux-boiler/tree/master/example)

Simply create entire redux CRUD spec like this:

```javascript
import { generateStoreItems } from 'react-redux-boiler'

export const { actions, reducers, selectors, types } = generateStoreItems([
  'USERS',
  'PLACES'
])
```

## License

MIT © [psoaresbj](https://github.com/psoaresbj)
